icecc-scheduler(1)

NAME
icecc-scheduler - Icecream scheduler

SYNOPSIS
\FCicecc-scheduler\F[]
[-d] [-r] [-l log-file] [-n net-name] [-p port] [-u user] [-v[v[v]]]

DESCRIPTION
The Icecream scheduler is the central instance of an Icecream compile network. It distributes the compile jobs and provides the data for the monitors.

OPTIONS

\FC-d\F[], \FC--daemonize\F[]
    Detach daemon from shell.

\FC-r\F[], \FC--persistent-client-connection\F[]
    Client connections are not disconnected from the scheduler even if there is a better scheduler available.

\FC-h\F[], \FC--help\F[]
    Print help message and exit.

\FC-l\F[], \FC--log-file\F[] \FClog-file\F[]
    Name of file where log output is written to.

\FC-n\F[], \FC--netname\F[] \FCnet-name\F[]
    The name of the Icecream network the scheduler controls.

\FC-p\F[], \FC--port\F[] \FCport\F[]
    IP port the scheduler uses.

\FC-u\F[], \FC--user-uid\F[] \FCuser\F[]
    Specify the system user used by the daemon, which must be different than ‘root’. If not specified, the daemon defaults to the ‘icecc’ system user if available, or ‘nobody’ if not.

\FC-v\F[], \FC-vv\F[], \FC-vvv\F[]
    Control verbosity of daemon. The more v the more verbose.

SEE ALSO
icecream(7), iceccd(1), icemon(1)

AUTHOR
Cornelius Schumacher